/**
* Copyright (C) 2015 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.molecular.handler;


import org.eclipse.core.commands.AbstractHandler;
import org.eclipse.core.commands.ExecutionEvent;
import org.eclipse.core.commands.ExecutionException;

import eu.etaxonomy.taxeditor.model.AbstractUtility;
import eu.etaxonomy.taxeditor.molecular.editor.AlignmentEditor;




/**
 * Abstract implementation for all handlers triggering actions in an active instance of
 * {@link AlignmentEditor}.
 *
 * @author Ben Stöver
 * @date 19.06.2015
 */
public abstract class AbstractAlignmentEditorHandler extends AbstractHandler {
	public static AlignmentEditor getActiveAlignmentEditor() {
	    Object activeEditor = AbstractUtility.getActiveE4Editor();
        if (activeEditor instanceof AlignmentEditor) {
            return (AlignmentEditor)activeEditor;
        }
        else {
        	return null;
        }
	}


    @Override
    public Object execute(ExecutionEvent event) throws ExecutionException {
    	AlignmentEditor editor = getActiveAlignmentEditor();
        if (editor != null) {
            doExecute(event, editor);
        }
        return null;
    }


    protected abstract void doExecute(ExecutionEvent event, AlignmentEditor editor) throws ExecutionException;
}
