package eu.etaxonomy.taxeditor.molecular.handler;


import info.bioinfweb.libralign.alignmentarea.AlignmentArea;

import org.eclipse.core.commands.ExecutionEvent;

import eu.etaxonomy.taxeditor.molecular.editor.AlignmentEditor;



/**
 * Handler that cuts the currently selected nucleotides from an alignment editor to the clipboard.
 * <p>
 * The cut contents either come from the single reads or the consensus sequence alignment area,
 * depending on which component currently has the focus. If none of these components has the focus,
 * nothing will be cut, even if nucleotides are currently selected.
 * <p>
 * If the selection contains parts of multiple sequence, these are separated by the line separator
 * of the current operating system.  
 * 
 * @author Ben Stöver
 * @date 25.08.2015
 */
public class AlignmentEditorCutHandler extends AlignmentEditorCopyHandler {
	@Override
	protected void doExecute2(ExecutionEvent event, AlignmentEditor editor,	AlignmentArea focusedArea) {
		super.doExecute2(event, editor, focusedArea);  // Copy selected contents.
		focusedArea.getActionProvider().deleteSelection();
	}
}
