// $Id$
/**
* Copyright (C) 2016 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.molecular.io;


import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertFalse;
import static org.junit.Assert.assertTrue;

import org.junit.Test;



/**
 * @author Ben Stöver
 * @date 29.04.2016
 */
public class SequenceIDIteratorTest {
    @Test
    public void test_next() {
        SequenceIDIterator iterator = new SequenceIDIterator(3, true);

        for (int i = 0; i < 3; i++) {
            assertTrue(iterator.hasNext());
            assertEquals("seqSingleRead" + i, iterator.next());
        }
        assertTrue(iterator.hasNext());
        assertEquals("seqConsensus", iterator.next());
        assertFalse(iterator.hasNext());
    }


    @Test
    public void test_next_woConsensus() {
        SequenceIDIterator iterator = new SequenceIDIterator(3, false);

        for (int i = 0; i < 3; i++) {
            assertTrue(iterator.hasNext());
            assertEquals("seqSingleRead" + i, iterator.next());
        }
        assertFalse(iterator.hasNext());
    }
}
